<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:34:29 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Index (org.eclipse.papyrus.designer.languages.cpp.reverse.ui 1.0.5 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Index (org.eclipse.papyrus.designer.languages.cpp.reverse.ui 1.0.5 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:O">O</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a name="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/Activator.html" title="class in org.eclipse.papyrus.designer.languages.cpp.reverse.ui"><span class="typeNameLink">Activator</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/package-summary.html">org.eclipse.papyrus.designer.languages.cpp.reverse.ui</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/Activator.html#Activator--">Activator()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.cpp.reverse.ui.<a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/Activator.html" title="class in org.eclipse.papyrus.designer.languages.cpp.reverse.ui">Activator</a></dt>
<dd>
<div class="block">The constructor</div>
</dd>
</dl>
<a name="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/listener/CProjectChangesListener.html" title="class in org.eclipse.papyrus.designer.languages.cpp.reverse.ui.listener"><span class="typeNameLink">CProjectChangesListener</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/listener/package-summary.html">org.eclipse.papyrus.designer.languages.cpp.reverse.ui.listener</a></dt>
<dd>
<div class="block">A listener that detects changes on a CDT project.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/listener/CProjectChangesListener.html#CProjectChangesListener-java.util.Map-">CProjectChangesListener(Map&lt;String, List&lt;CElementChange&gt;&gt;)</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.cpp.reverse.ui.listener.<a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/listener/CProjectChangesListener.html" title="class in org.eclipse.papyrus.designer.languages.cpp.reverse.ui.listener">CProjectChangesListener</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:E">
<!--   -->
</a>
<h2 class="title">E</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/listener/CProjectChangesListener.html#elementChanged-org.eclipse.cdt.core.model.ElementChangedEvent-">elementChanged(ElementChangedEvent)</a></span> - Method in class org.eclipse.papyrus.designer.languages.cpp.reverse.ui.listener.<a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/listener/CProjectChangesListener.html" title="class in org.eclipse.papyrus.designer.languages.cpp.reverse.ui.listener">CProjectChangesListener</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/handler/ReverseToExistingUmlModelMerge.html#execute-org.eclipse.core.commands.ExecutionEvent-">execute(ExecutionEvent)</a></span> - Method in class org.eclipse.papyrus.designer.languages.cpp.reverse.ui.handler.<a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/handler/ReverseToExistingUmlModelMerge.html" title="class in org.eclipse.papyrus.designer.languages.cpp.reverse.ui.handler">ReverseToExistingUmlModelMerge</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/handler/ReverseToExistingUmlModelOverwrite.html#execute-org.eclipse.core.commands.ExecutionEvent-">execute(ExecutionEvent)</a></span> - Method in class org.eclipse.papyrus.designer.languages.cpp.reverse.ui.handler.<a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/handler/ReverseToExistingUmlModelOverwrite.html" title="class in org.eclipse.papyrus.designer.languages.cpp.reverse.ui.handler">ReverseToExistingUmlModelOverwrite</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/handler/ReverseToNewUmlModel.html#execute-org.eclipse.core.commands.ExecutionEvent-">execute(ExecutionEvent)</a></span> - Method in class org.eclipse.papyrus.designer.languages.cpp.reverse.ui.handler.<a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/handler/ReverseToNewUmlModel.html" title="class in org.eclipse.papyrus.designer.languages.cpp.reverse.ui.handler">ReverseToNewUmlModel</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/Activator.html#getDefault--">getDefault()</a></span> - Static method in class org.eclipse.papyrus.designer.languages.cpp.reverse.ui.<a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/Activator.html" title="class in org.eclipse.papyrus.designer.languages.cpp.reverse.ui">Activator</a></dt>
<dd>
<div class="block">Returns the shared instance</div>
</dd>
</dl>
<a name="I:L">
<!--   -->
</a>
<h2 class="title">L</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/Activator.html#log">log</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.cpp.reverse.ui.<a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/Activator.html" title="class in org.eclipse.papyrus.designer.languages.cpp.reverse.ui">Activator</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:O">
<!--   -->
</a>
<h2 class="title">O</h2>
<dl>
<dt><a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/package-summary.html">org.eclipse.papyrus.designer.languages.cpp.reverse.ui</a> - package org.eclipse.papyrus.designer.languages.cpp.reverse.ui</dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/dialog/package-summary.html">org.eclipse.papyrus.designer.languages.cpp.reverse.ui.dialog</a> - package org.eclipse.papyrus.designer.languages.cpp.reverse.ui.dialog</dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/handler/package-summary.html">org.eclipse.papyrus.designer.languages.cpp.reverse.ui.handler</a> - package org.eclipse.papyrus.designer.languages.cpp.reverse.ui.handler</dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/listener/package-summary.html">org.eclipse.papyrus.designer.languages.cpp.reverse.ui.listener</a> - package org.eclipse.papyrus.designer.languages.cpp.reverse.ui.listener</dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:P">
<!--   -->
</a>
<h2 class="title">P</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/Activator.html#PLUGIN_ID">PLUGIN_ID</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.cpp.reverse.ui.<a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/Activator.html" title="class in org.eclipse.papyrus.designer.languages.cpp.reverse.ui">Activator</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:R">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/dialog/ResourceFileSelectionDialog.html" title="class in org.eclipse.papyrus.designer.languages.cpp.reverse.ui.dialog"><span class="typeNameLink">ResourceFileSelectionDialog</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/dialog/package-summary.html">org.eclipse.papyrus.designer.languages.cpp.reverse.ui.dialog</a></dt>
<dd>
<div class="block">Dialog to select a file in the workspace.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/dialog/ResourceFileSelectionDialog.html#ResourceFileSelectionDialog-java.lang.String-java.lang.String-java.lang.String:A-">ResourceFileSelectionDialog(String, String, String[])</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.cpp.reverse.ui.dialog.<a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/dialog/ResourceFileSelectionDialog.html" title="class in org.eclipse.papyrus.designer.languages.cpp.reverse.ui.dialog">ResourceFileSelectionDialog</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/dialog/ResourceFileSelectionDialog.html#ResourceFileSelectionDialog-org.eclipse.swt.widgets.Shell-org.eclipse.jface.viewers.ILabelProvider-org.eclipse.jface.viewers.ITreeContentProvider-">ResourceFileSelectionDialog(Shell, ILabelProvider, ITreeContentProvider)</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.cpp.reverse.ui.dialog.<a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/dialog/ResourceFileSelectionDialog.html" title="class in org.eclipse.papyrus.designer.languages.cpp.reverse.ui.dialog">ResourceFileSelectionDialog</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/handler/ReverseToExistingUmlModelMerge.html" title="class in org.eclipse.papyrus.designer.languages.cpp.reverse.ui.handler"><span class="typeNameLink">ReverseToExistingUmlModelMerge</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/handler/package-summary.html">org.eclipse.papyrus.designer.languages.cpp.reverse.ui.handler</a></dt>
<dd>
<div class="block">Handler for the "Reverse to existing model (merge)" command</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/handler/ReverseToExistingUmlModelMerge.html#ReverseToExistingUmlModelMerge--">ReverseToExistingUmlModelMerge()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.cpp.reverse.ui.handler.<a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/handler/ReverseToExistingUmlModelMerge.html" title="class in org.eclipse.papyrus.designer.languages.cpp.reverse.ui.handler">ReverseToExistingUmlModelMerge</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/handler/ReverseToExistingUmlModelOverwrite.html" title="class in org.eclipse.papyrus.designer.languages.cpp.reverse.ui.handler"><span class="typeNameLink">ReverseToExistingUmlModelOverwrite</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/handler/package-summary.html">org.eclipse.papyrus.designer.languages.cpp.reverse.ui.handler</a></dt>
<dd>
<div class="block">Handler for the "Reverse to existing model (overwrite)" command</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/handler/ReverseToExistingUmlModelOverwrite.html#ReverseToExistingUmlModelOverwrite--">ReverseToExistingUmlModelOverwrite()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.cpp.reverse.ui.handler.<a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/handler/ReverseToExistingUmlModelOverwrite.html" title="class in org.eclipse.papyrus.designer.languages.cpp.reverse.ui.handler">ReverseToExistingUmlModelOverwrite</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/handler/ReverseToNewUmlModel.html" title="class in org.eclipse.papyrus.designer.languages.cpp.reverse.ui.handler"><span class="typeNameLink">ReverseToNewUmlModel</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/handler/package-summary.html">org.eclipse.papyrus.designer.languages.cpp.reverse.ui.handler</a></dt>
<dd>
<div class="block">Handler for the "Reverse to new model" command</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/handler/ReverseToNewUmlModel.html#ReverseToNewUmlModel--">ReverseToNewUmlModel()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.cpp.reverse.ui.handler.<a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/handler/ReverseToNewUmlModel.html" title="class in org.eclipse.papyrus.designer.languages.cpp.reverse.ui.handler">ReverseToNewUmlModel</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/Activator.html#start-org.osgi.framework.BundleContext-">start(BundleContext)</a></span> - Method in class org.eclipse.papyrus.designer.languages.cpp.reverse.ui.<a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/Activator.html" title="class in org.eclipse.papyrus.designer.languages.cpp.reverse.ui">Activator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/Activator.html#stop-org.osgi.framework.BundleContext-">stop(BundleContext)</a></span> - Method in class org.eclipse.papyrus.designer.languages.cpp.reverse.ui.<a href="org/eclipse/papyrus/designer/languages/cpp/reverse/ui/Activator.html" title="class in org.eclipse.papyrus.designer.languages.cpp.reverse.ui">Activator</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:O">O</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
